Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.builder.client
Class DomAnchorBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<AnchorBuilder,AnchorElement>
              com.google.gwt.dom.builder.client.DomAnchorBuilder

All Implemented Interfaces:
  AnchorBuilder, ElementBuilderBase<AnchorBuilder>

    public class DomAnchorBuilder

extends DomElementBuilderBase<AnchorBuilder,AnchorElement>
implements AnchorBuilder

DOM-based implementation of `AnchorBuilder`.

Constructor Summary
`DomAnchorBuilder(DomBuilderImpl delegate)`

Method Summary
`AnchorBuilder` | `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`AnchorBuilder` | `href(SafeUri href)` The absolute URI of the linked resource.
`AnchorBuilder` | `href(java.lang.String href)` The absolute URI of the linked resource.
`AnchorBuilder` | `hreflang(java.lang.String hreflang)` Language code of the linked resource.
`AnchorBuilder` | `name(java.lang.String name)` Anchor name.
`AnchorBuilder` | `rel(java.lang.String rel)` Forward link type.
`AnchorBuilder` | `target(java.lang.String target)` Frame to render the resource in.
`AnchorBuilder` | `type(java.lang.String type)` Advisory content type.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase
`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase
`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase
`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### DomAnchorBuilder

    DomAnchorBuilder(DomBuilderImpl delegate)

Method Detail

### accessKey

    public AnchorBuilder accessKey(java.lang.String accessKey)

  Description copied from interface: `AnchorBuilder`
  A single character access key to give access to the form control.

  Specified by:
    `accessKey` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### href

    public AnchorBuilder href(SafeUri href)

  Description copied from interface: `AnchorBuilder`
  The absolute URI of the linked resource.

  Specified by:
    `href` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### href

    public AnchorBuilder href(java.lang.String href)

  Description copied from interface: `AnchorBuilder`
  The absolute URI of the linked resource.

  Specified by:
    `href` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### hreflang

    public AnchorBuilder hreflang(java.lang.String hreflang)

  Description copied from interface: `AnchorBuilder`
  Language code of the linked resource.

  Specified by:
    `hreflang` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### name

    public AnchorBuilder name(java.lang.String name)

  Description copied from interface: `AnchorBuilder`
  Anchor name.

  Specified by:
    `name` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### rel

    public AnchorBuilder rel(java.lang.String rel)

  Description copied from interface: `AnchorBuilder`
  Forward link type.

  Specified by:
    `rel` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### target

    public AnchorBuilder target(java.lang.String target)

  Description copied from interface: `AnchorBuilder`
  Frame to render the resource in.

  Specified by:
    `target` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

### type

    public AnchorBuilder type(java.lang.String type)

  Description copied from interface: `AnchorBuilder`
  Advisory content type.

  Specified by:
    `type` in interface `AnchorBuilder`
  See Also:
    W3C HTML Specification

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD